---
title: keyboardButton
description: Bot keyboard button
image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# Constructor: keyboardButton  
[Back to constructors index](index.md)



Bot keyboard button

### Attributes:

| Name     |    Type       | Required | Description |
|----------|---------------|----------|-------------|
|text|[string](../types/string.md) | Yes|Button text|



### Type: [KeyboardButton](../types/KeyboardButton.md)


### Example:

```php
$keyboardButton = ['_' => 'keyboardButton', 'text' => 'string'];
```  


Or, if you're into Lua:

```lua
keyboardButton={_='keyboardButton', text='string'}

```


